<template>
	<div class="order-wrapper">
		<!-- <breadcrumb :item-name="['订单管理', '订单列表']"></breadcrumb> -->
		<el-card>
			<div class="wrap">
				<div class="left-wrap">
					<div class="left-tit">token</div>
					<el-scrollbar style="height:100%" wrap-style="overflow-x:hidden;">
						<div class="flex" style="flex-direction: column;">
							<div v-for="item in tokenList" class="left-t hand"
								:class="{'used': item.bl,'checked':item.id == token.id}" @click="chooseToken(item)">
								{{item.token}}
							</div>
						</div>
					</el-scrollbar>
				</div>
				<div class="center-wrap">
					<div class="tit">代付信息</div>
					<div>宝贝类型</div>
					<div>
						<el-checkbox v-model="xdForm.thby">退货包邮</el-checkbox>
						<el-checkbox v-model="xdForm.sxhmd">刷新黑名单</el-checkbox>
					</div>
					<div>
						<el-checkbox v-model="xdForm.wly">7天无理由退货</el-checkbox>
						<el-checkbox v-model="xdForm.pbsj">屏蔽同省商家</el-checkbox>
					</div>

					<div>浏览宝贝</div>
					<div>
						<el-input v-model="xdForm.lls" placeholder="" class="jige chang" type="number"></el-input> 秒 ~ <el-input
							v-model="xdForm.lle" placeholder="" class="jige chang" type="number"></el-input> 秒
					</div>
					<div>浏览店铺</div>
					<div>
						浏览 <el-input v-model="xdForm.lds" placeholder="" class="jige chang" type="number"></el-input> 秒 ~ <el-input
							v-model="xdForm.lde" placeholder="" class="jige chang" type="number"></el-input> 秒
					</div>
					<div>
						货比 <el-input v-model="xdForm.hb" placeholder="" class="jige chang" type="number"></el-input> 家 
					</div>
					<div>
						浏览 <el-input
							v-model="xdForm.hbs" placeholder="" class="jige chang" type="number" ></el-input> ~ <el-input
							v-model="xdForm.hbe" placeholder="" class="jige chang" type="number"></el-input>秒
					</div>
					<div>
						销量 <el-input v-model="xdForm.xl" placeholder="" class="jige chang" type="number"></el-input> 单以下不下单
					</div>
					<div>
						价格区间 <el-input v-model="xdForm.minPrice" placeholder="" class="jige chang" type="number"></el-input> ~ <el-input
							v-model="xdForm.maxPrice" placeholder="" class="jige chang" type="number"></el-input>
					</div>
					<div class="tit">下单方案</div>
					<div>
						下单方式 <el-select v-model="xdForm.xtype" placeholder="请选择">
							<el-option v-for="item in options" :key="item.value" :label="item.label"
								:value="item.value">
							</el-option>
						</el-select>
					</div>
					<div>
						收藏选择 <el-radio v-model="xdForm.scxz" label="店铺">店铺</el-radio>
						<el-radio v-model="xdForm.scxz" label="商品">商品</el-radio>
					</div>
					<div>
						sku选择 <el-radio v-model="xdForm.sku" label="最低sku">最低sku</el-radio>
						<el-radio v-model="xdForm.sku" label="随机sku">随机sku</el-radio>
					</div>
					<div>
						<el-checkbox v-model="xdForm.sjxg">随机修改名称</el-checkbox>
					</div>
				</div>
				<div class="right-wrap">
					<div class="right-top">
						<el-form :model="form">
							<!-- <el-form-item label="当前token" :label-width="formLabelWidth">
								<el-input v-model="token.token" type="text" disabled></el-input>
							</el-form-item> -->
							<el-form-item label="最大下单数量" :label-width="formLabelWidth">
								<el-input v-model="baseInfo.token_day_count" type="number" disabled></el-input>
							</el-form-item>
							<el-form-item label="收货人" :label-width="formLabelWidth">
								<div class="flex"><el-input v-model="xdForm.consignee_name" type="text"
										:disabled="loading || auto_order"></el-input><el-button
										style="margin-left: 10px;" @click="sjAddress">随机</el-button></div>
							</el-form-item>
							<el-form-item label="联系方式" :label-width="formLabelWidth">
								<div class="flex"><el-input v-model="xdForm.phone" type="number"
										:disabled="loading || auto_order"></el-input><el-button
										style="margin-left: 10px;" @click="sjPhone">随机</el-button></div>
							</el-form-item>
							<el-form-item label="省市区" :label-width="formLabelWidth">
								<el-cascader size="large" :options="regionData" :props="{value: 'label'}"
									v-model="area">
								</el-cascader>
								<!-- 
								<el-cascader v-model="xdForm.area" :options="citys"
									:props="{ expandTrigger: 'hover',value: 'value',label: 'value' }"
									@change="handleChange"></el-cascader> -->
							</el-form-item>
							<el-form-item label="收货地址" :label-width="formLabelWidth">
								<el-input v-model="xdForm.address" type="text"></el-input>
							</el-form-item>
							<el-form-item label="邮编" :label-width="formLabelWidth">
								<el-input v-model="xdForm.zip" type="text"></el-input>
							</el-form-item>
						</el-form>
						<div class="dialog-footer flex" style="width: 80%;justify-content: flex-end;">
							<el-button @click="openZd" v-if="!auto_order">自动下单</el-button>


							<el-button :type="(loading|| auto_order) ? 'info': 'primary'" @click="createOrder">下
								单</el-button>
						</div>
					</div>
					<div class="right-btm">
						<el-scrollbar style="height:100%" wrap-style="overflow-x:hidden;">
							<div class="flex tip-list">
								<div class="tip" v-for="item in tipList">
									{{item.tit}}
								</div>
							</div>
						</el-scrollbar>
					</div>
				</div>
			</div>
			
		</el-card>
		<!-- 修改地址对话框 -->
		<el-dialog title="拼多多安全验证" :visible.sync="dialogTableVisible" class="rjjy" @close="closeJy">
			<!-- <div class="flex" style="justify-content: center;" v-if="dialogTableVisible">
				<slide-verify :l="42" :r="10" :w="310" :h="155" slider-text="向右滑动" @success="onSuccess" @fail="onFail"
					@refresh="onRefresh" :imgs="imgs"></slide-verify>
			</div> -->
			<div >
				<div class="jy-wrap">
					<el-image style="width: 262px; height:175px" class="jy-img" :src="jyimg" @click="jyClick"></el-image>
					<div class="jy-hd" v-for="(item,index) in hdList" :style="{top: item.y ,left: item.x,width: hdw+ 'px',height: hdw + 'px'}">{{index+1}}</div>
					<div class="suaxin hand" @click="refresh">
						<img src="../../assets/img/sx.png" alt="" class="">
					</div>
				</div>
			</div>
		</el-dialog>
		<el-dialog title="提示" :visible.sync="dialogVisible" width="30%">
			<span style="display: block; padding: 0 0 20px 20px;">开通自动下单需支付{{baseInfo.auto_order}}元</span>

			<el-form v-if="userInfo.is_binding == 1">
				<el-form-item label="动态口令" :label-width="formLabelWidth">
					<el-input v-model="dtkl" type="number"></el-input>
				</el-form-item>
			</el-form>
			<span slot="footer" class="dialog-footer">
				<el-button @click="dialogVisible = false">取 消</el-button>
				<el-button type="primary" @click="ktAuto">确 定</el-button>
			</span>
		</el-dialog>
		<el-dialog title="提示" :visible.sync="showStop" width="30%">
			<span>您确定停止自动下单？</span>
			<span slot="footer" class="dialog-footer">
				<el-button @click="showStop = false">取 消</el-button>
				<el-button type="primary" @click="stopAuto">确 定</el-button>
			</span>
		</el-dialog>
		<div class="mask" v-if="auto_order">
			<!-- el-icon-loading -->
			<i class="el-icon-loading mask-loading"></i>
			<el-button @click="showStop = true" style="margin-top: 20px;" type="primary">停止自动下单</el-button>
		</div>
	</div>
</template>

<script>
	import {
		regionData
	} from 'element-china-area-data'
	import {
		mapState,
		mapMutations
	} from 'vuex';

	import {
		createCode,
		getUserList,
		getIndex,
		getSpace,
		spaceCheck
	} from '@/request/agent.js'
	import {
		getRechangeList,
		rechange,
		getTokenList,
		createOrder,
		getUserInfo,
		payAuto,

	} from '@/request/user.js'
	import {
		showTime,
		sj,
		sjz
	} from '@/assets/js/tools.js'
	import city from '@/assets/js/cityData.js'
	import {
		imgs
	} from '@/assets/js/admun.js'
	import {
		set
	} from 'core-js/library/core/dict';
	export default {

		name: 'Order',
		data() {
			return {
				unique_code: '',
				hdcount: 0,
				hdw: 20,
				hdList: [],
				jyimg:'',
				dtkl: '',
				orderInfo: '',
				area: ['浙江省','台州市','路桥区'],
				regionData,
				citys: city,
				options: [{
					value: '拼团',
					label: '拼团'
				}, {
					value: '开团',
					label: '开团'
				}],
				showStop: false,
				dialogVisible: false,
				xdForm: {
					// 有用数据
					phone: '',
					address: '',
					minPrice: '1',
					maxPrice: '100',
					consignee_name: '',
					area: '',
					zip: '',
					// 虚假数据
					lls: '3',
					lle: '5',
					lds: '3',
					lde: '5',
					hb: '10',
					hbs: '3',
					hbe: '6',
					xl: '300',
					xtype: '拼团',
					scxz: '店铺',
					// 无效数据
					thby: true,
					sxhmd: true,
					wly: true,
					pbsj: true,
					sku: '最低sku',
					sjxg: true
				},
				imgs: imgs,
				msg: '888',
				loading: false,
				formLabelWidth: '100px',
				form: {
					recharge_num: '',
					image: ''
				},
				dialogTableVisible: false,
				xiadanDia: false, //下单弹窗
				queryInfo: {
					keyword: '',
					page: 1,
					limit: 10
				},
				list: [],
				total: 0,
				dataloading: false,
				headers: {},
				tokenList: [],
				token: {},
				ybToken: {},
				minPriceList: [],
				maxPriceList: [],
				tipList: [],
				auto_order: false, //是否启动自动下单
				pdarr: [{
						id: 1,
						tit: '账号正常开始任务'
					},
					{
						id: 2,
						tit: '模拟搜素翻页'
					},
					{
						id: 3,
						tit: '浏览宝贝'
					},
					{
						id: 4,
						tit: '浏览店铺'
					},
					{
						id: 5,
						tit: '选中商品'
					},
					{
						id: 6,
						tit: '收藏'
					},
					{
						id: 7,
						tit: '随机修改昵称'
					},
					{
						id: 8,
						tit: '正在选宝 sku，'
					},
					{
						id: 9,
						tit: '正在通信付款'
					},
					{
						id: 10,
						tit: '通信正常，正常付款'

					},
					{
						id: 11,
						tit: '付款成功商品名：'
					},
					{
						id: 12,
						tit: '完成订单'
					}
				]
			}
		},
		computed: {
			...mapState(['baseInfo', 'userInfo'])
		},
		created() {
			console.log(this.regionData, 'ddd');
			console.log();
			this.getUserInfo()
			this.getIndex()
			this.getList()
			this.getTokenList()
			this.headers['token'] = window.sessionStorage.getItem('token')
			console.log(this.imgs, 'imgs');
		},
		methods: {
			...mapMutations(['setBaseInfo', 'setUserInfo', 'jUserMoney']),
			jyClick(event) {
				let that = this
				if(that.hdList.length < that.hdcount) {
					let item = {
						x: event.offsetX - that.hdw/2 + 'px',
						jyx: event.offsetX,
						y: event.offsetY - that.hdw /2 + 'px',
						jyy: event.offsetY,
					}
					that.hdList.push(item)
					if(that.hdList.length == that.hdcount) {
						that.rjjy()
					}
				}
			},
			closeJy() {
				this.hdList = []
				this.hdcount = 0
				this.jyimg = ''
			},
			rjjy() {
				let that = this
				let str = ''
				that.hdList.forEach((item,index) => {
					console.log(item);
					str = str + item.jyx + ',' + item.jyy + ((index < that.hdcount-1) ? '|' : '' )
				})
				// console.log(str);
				spaceCheck({
					position: str,
					unique_code: that.unique_code
				}).then(res => {
					that.$msg.success('校验成功')
					that.token = this.ybToken
					that.dialogTableVisible = false
				}).catch(err => {
					console.log(err,'daole');
					this.closeJy()
					getSpace().then(res => {
						console.log(res);
						that.hdcount = res.data.count
						that.jyimg = res.data.url1
						that.unique_code = res.data.unique_code
						that.dialogTableVisible = true
					})
				})
			},
			refresh() {
				let that = this
				this.hdList = []
				this.hdcount = 0
				getSpace().then(res => {
					console.log(res);
					that.hdcount = res.data.count
					that.jyimg = res.data.url1
					that.unique_code = res.data.unique_code
					that.dialogTableVisible = true
				})
			},
			handleChange(e) {
				console.log(e);
			},
			stopAuto() {
				this.auto_order = false
				this.showStop = false
			},
			getUserInfo() {
				getUserInfo().then(res => {
					this.setUserInfo(res.data)
				})
			},
			pd(arr, i) {
				let that = this
				let len = arr.length - 1
				console.log(i, '进入');
				if (i <= len) {
					switch (i) {
						// 账号正常
						case 0:
							that.tipList.unshift({
								tit: '第' + that.token.count + '次下单【' + that.token.token + '-' + Date.now() + '】' +
									arr[i].tit
							})
							that.pd(arr, ++i)
							break;
							// 翻页 
						case 1:
							setTimeout(() => {
								that.tipList.unshift({
									tit: '第' + that.token.count + '次下单【' + that.token.token + '-' + Date
										.now() + '】' + arr[i].tit
								})
								that.pd(arr, ++i)
							}, 1000)
							break;
							//浏览宝贝
						case 2:
							setTimeout(() => {
								that.tipList.unshift({
									tit: '第' + that.token.count + '次下单【' + that.token.token + '-' + Date
										.now() + '】' + arr[i].tit
								})
								that.pd(arr, ++i)
							}, 1000)
							break;
							// 浏览店铺
						case 3:
							setTimeout(() => {
								that.tipList.unshift({
									tit: '第' + that.token.count + '次下单【' + that.token.token + '-' + Date
										.now() + '】' + '浏览店铺'
								})
							}, sjz(that.xdForm.lls, that.xdForm.lle) * 1000)
							that.pd(arr, ++i)
							break;
							//选择商品
						case 4:
							console.log(4, i)
							setTimeout(() => {
								that.tipList.unshift({
									tit: '第' + that.token.count + '次下单【' + that.token.token + '-' + Date
										.now() + '】' + arr[i].tit
								})
								that.pd(arr, ++i)
							}, sjz(that.xdForm.lds, that.xdForm.lde) * 1000)
							break;
							//收藏店铺/商品
						case 5:
							setTimeout(() => {
								that.tipList.unshift({
									tit: '第' + that.token.count + '次下单【' + that.token.token + '-' + Date
										.now() + '】' + arr[i].tit + that.xdForm.scxz
								})
								that.pd(arr, ++i)
							}, sjz(that.xdForm.lds, that.xdForm.lde) * 1000)
							break;
							//随机修改昵
						case 6:
							setTimeout(() => {
								if (this.xdForm.sjxg) {
									that.tipList.unshift({
										tit: '第' + that.token.count + '次下单【' + that.token.token + '-' +
											Date
											.now() + '】' + arr[i].tit
									})
								}
								that.pd(arr, ++i)
							}, 1000)
							break;
							//sku
						case 7:
							setTimeout(() => {
								if (this.xdForm.sjxg) {
									that.tipList.unshift({
										tit: '第' + that.token.count + '次下单【' + that.token.token + '-' +
											Date
											.now() + '】' + arr[i].tit + that.xdForm.xtype
									})
								}
								that.pd(arr, ++i)
							}, 1000)
							break;
						case 8:
							setTimeout(() => {
								if (this.xdForm.sjxg) {
									that.tipList.unshift({
										tit: '第' + that.token.count + '次下单【' + that.token.token + '-' +
											Date
											.now() + '】' + arr[i].tit
									})
								}
								that.pd(arr, ++i)
							}, 2000)
							break;
						case 9:
							setTimeout(() => {
								if (this.xdForm.sjxg) {
									that.tipList.unshift({
										tit: '第' + that.token.count + '次下单【' + that.token.token + '-' +
											Date
											.now() + '】' + arr[i].tit
									})
								}
								that.pd(arr, ++i)
							}, 2000)
							break;
						case 10:
							setTimeout(() => {

								that.tipList.unshift({
									tit: '第' + that.token.count + '次下单【' + that.token.token + '-' +
										Date
										.now() + '】' + arr[i].tit + that.orderInfo.goods_name + '  商品价格：' +
										that.orderInfo.pay_price * 1 +
										' 手续费：' + that.orderInfo.commission + ' 手续费率：' + that.baseInfo.commission +
										'%'
								})
								console.log(that.orderInfo.pay_price * 1 + that.orderInfo.commission*1);
								that.jUserMoney( -( that.orderInfo.pay_price * 1 + that.orderInfo.commission*1) )
								that.pd(arr, ++i)
							}, 2000)
							break;
						case 11:
							setTimeout(() => {
								if (this.xdForm.sjxg) {
									that.tipList.unshift({
										tit: '第' + that.token.count + '次下单【' + that.token.token + '-' +
											Date
											.now() + '】' + arr[i].tit
									})
								}
								that.pd(arr, ++i)
							}, 2000)
							break;
						default:
							that.pd(arr, ++i)
							break;
					}

					// if (i == 0) {
					// 	that.tipList.unshift(arr[i])
					// 	that.pd(arr, ++i)
					// } else {
					// 	setTimeout(() => {
					// 		that.tipList.unshift(arr[i])
					// 		if (arr[i].title.indexOf('支付金额：') != -1) {
					// 			// let price = zfInfo.title.replace(/支付金额：/,'')*1
					// 			that.jUserMoney(-1 * arr[i].title.replace(/支付金额：/, ''))
					// 		}
					// 		that.pd(arr, ++i)
					// 	}, arr[i - 1].time * 1000)
					// }
				} else {
					// that.xdForm.phone = ''
					// that.xdForm.consignee_name = ''
					that.loading = false
					if (that.auto_order) {
						that.chooseNext()
					} else {
						// that.xdForm.minPrice = ''
						// that.xdForm.maxPrice = ''
					}
				}
			},
			ktAuto() {
				let that = this
				if (that.userInfo.money * 1 < that.baseInfo.auto_order * 1) {
					return that.$msg.error('您当前余额不足')
				}
				payAuto({
					code: that.dtkl
				}).then(res => {
					that.getUserInfo()
					that.dialogVisible = false
					that.auto_order = true
					that.chooseNext()
					//自动下单启动
				})
			},
			openZd() {
				let that = this
				if (that.loading) {
					return that.$msg.error('当前处于下单状态，请等待下单完成')
				}
				if (that.userInfo.auto_order == 0) {
					that.dialogVisible = true
				} else {
					//自动下单启动
					if (that.xdForm.lls == '') {
						return that.$msg.error('请输入浏览最小时间')
					}
					if (that.xdForm.lle == '') {
						return that.$msg.error('请输入浏览最大时间')
					}
					if (that.xdForm.lle <= that.xdForm.lls) {
						return that.$msg.error('浏览最大时间应大于最小时间')
					}
					
					if (that.xdForm.lds == '') {
						return that.$msg.error('请输入浏览店铺最小时间')
					}
					if (that.xdForm.lde == '') {
						return that.$msg.error('请输入浏览店铺最大时间')
					}
					if (that.xdForm.lde <= that.xdForm.lds) {
						return that.$msg.error('浏览店铺最大时间应大于最小时间')
					}
					
					if (that.xdForm.hb == '') {
						return that.$msg.error('请输入比货店铺数量')
					}
					if (that.xdForm.hbs == '') {
						return that.$msg.error('请输入商品比较最小时间')
					}
					if (that.xdForm.hbe == '') {
						return that.$msg.error('请输入商品比较最大时间')
					}
					
					if (that.xdForm.xl == '') {
						return that.$msg.error('请输入销量')
					}
					if (that.xdForm.minPrice == '') {
						return that.$msg.error('请选择最低价格')
					}
					if (that.xdForm.maxPrice == '') {
						return that.$msg.error('请选择最高价格')
					}
					
					
					if (that.xdForm.minPrice * 1 > that.xdForm.maxPrice * 1) {
						return that.$msg.error('最高价格需大于最低价格')
					}
					if (that.xdForm.xtype == '') {
						return that.$msg.error('请选择下单类型')
					}
					if (that.xdForm.consignee_name == '') {
						return that.$msg.error('请输入收货人')
					}
					if (that.xdForm.phone == '') {
						return that.$msg.error('请输入手机号码')
					}
					if (!/(^1[2|3|4|5|6|7|8|9][0-9]{9}$)/.test(that.xdForm.phone)) {
						return that.$msg.error('请输入正确的手机号码')
					}
					if (that.area == '') {
						return that.$msg.error('请选择省市区')
					}
					that.xdForm.area = that.area.join(',')
					console.log(that.xdForm.area, 'that.xdForm.area');
					if (that.xdForm.address == '') {
						return that.$msg.error('请输入收货地址')
					}
					if (that.xdForm.zip == '') {
						return that.$msg.error('请输入邮编')
					}
					that.auto_order = true
					that.chooseNext()


				}
			},
			//选择下一个可用token
			chooseNext() {
				let that = this
				that.token = that.tokenList.find(item => item.bl == false)
				if (that.auto_order) {
					if (that.token) {
						if (that.xdForm.lls == '') {
							return that.$msg.error('请输入浏览最小时间')
						}
						if (that.xdForm.lle == '') {
							return that.$msg.error('请输入浏览最大时间')
						}
						if (that.xdForm.lle <= that.xdForm.lls) {
							return that.$msg.error('浏览最大时间应大于最小时间')
						}

						if (that.xdForm.lds == '') {
							return that.$msg.error('请输入浏览店铺最小时间')
						}
						if (that.xdForm.lde == '') {
							return that.$msg.error('请输入浏览店铺最大时间')
						}
						if (that.xdForm.lde <= that.xdForm.lds) {
							return that.$msg.error('浏览店铺最大时间应大于最小时间')
						}

						if (that.xdForm.hb == '') {
							return that.$msg.error('请输入比货店铺数量')
						}
						if (that.xdForm.hbs == '') {
							return that.$msg.error('请输入商品比较最小时间')
						}
						if (that.xdForm.hbe == '') {
							return that.$msg.error('请输入商品比较最大时间')
						}

						if (that.xdForm.xl == '') {
							return that.$msg.error('请输入销量')
						}
						if (that.xdForm.minPrice == '') {
							return that.$msg.error('请选择最低价格')
						}
						if (that.xdForm.maxPrice == '') {
							return that.$msg.error('请选择最高价格')
						}


						if (that.xdForm.minPrice * 1 > that.xdForm.maxPrice * 1) {
							return that.$msg.error('最高价格需大于最低价格')
						}
						if (that.xdForm.xtype == '') {
							return that.$msg.error('请选择下单类型')
						}
						if (that.xdForm.consignee_name == '') {
							return that.$msg.error('请输入收货人')
						}
						if (that.xdForm.phone == '') {
							return that.$msg.error('请输入手机号码')
						}
						if (!/(^1[2|3|4|5|6|7|8|9][0-9]{9}$)/.test(that.xdForm.phone)) {
							return that.$msg.error('请输入正确的手机号码')
						}
						if (that.area == '') {
							return that.$msg.error('请选择省市区')
						}
						that.xdForm.area = that.area.join(',')
						console.log(that.xdForm.area, 'that.xdForm.area');
						if (that.xdForm.address == '') {
							return that.$msg.error('请输入收货地址')
						}
						if (that.xdForm.zip == '') {
							return that.$msg.error('请输入邮编')
						}
						that.sjAddress()
						that.sjPhone()
						// that.$msg.success('开启自动下单，请勿进行操作')
						// 启动
						that.createOrder()
					} else {
						//停止
						that.auto_order = false
					}

				}
			},
			createOrder() {
				let that = this
				console.log(that.xdForm.area);
				if (that.loading) {
					return this.$msg.error('正在下单中，请等待下单完成')
				}
				if (that.token.bl) {
					if (that.auto_order) {

					} else {
						return this.$msg.error('该TOKEN，当天使用次数已满!')
					}
				}
				if (that.xdForm.lls == '') {
					return that.$msg.error('请输入浏览最小时间')
				}
				if (that.xdForm.lle == '') {
					return that.$msg.error('请输入浏览最大时间')
				}
				if (that.xdForm.lle <= that.xdForm.lls) {
					return that.$msg.error('浏览最大时间应大于最小时间')
				}

				if (that.xdForm.lds == '') {
					return that.$msg.error('请输入浏览店铺最小时间')
				}
				if (that.xdForm.lde == '') {
					return that.$msg.error('请输入浏览店铺最大时间')
				}
				if (that.xdForm.lde <= that.xdForm.lds) {
					return that.$msg.error('浏览店铺最大时间应大于最小时间')
				}

				if (that.xdForm.hb == '') {
					return that.$msg.error('请输入比货店铺数量')
				}
				if (that.xdForm.hbs == '') {
					return that.$msg.error('请输入商品比较最小时间')
				}
				if (that.xdForm.hbe == '') {
					return that.$msg.error('请输入商品比较最大时间')
				}

				if (that.xdForm.xl == '') {
					return that.$msg.error('请输入销量')
				}
				if (that.xdForm.minPrice == '') {
					return that.$msg.error('请选择最低价格')
				}
				if (that.xdForm.maxPrice == '') {
					return that.$msg.error('请选择最高价格')
				}


				if (that.xdForm.minPrice * 1 > that.xdForm.maxPrice * 1) {
					return that.$msg.error('最高价格需大于最低价格')
				}
				if (that.xdForm.xtype == '') {
					return that.$msg.error('请选择下单类型')
				}
				if (that.xdForm.consignee_name == '') {
					return that.$msg.error('请输入收货人')
				}
				if (that.xdForm.phone == '') {
					return that.$msg.error('请输入手机号码')
				}
				if (!/(^1[2|3|4|5|6|7|8|9][0-9]{9}$)/.test(that.xdForm.phone)) {
					return that.$msg.error('请输入正确的手机号码')
				}
				if (that.area == '') {
					return that.$msg.error('请选择省市区')
				}
				that.xdForm.area = that.area.join(',')
				console.log(that.xdForm.area, 'that.xdForm.area');
				if (that.xdForm.address == '') {
					return that.$msg.error('请输入收货地址')
				}
				if (that.xdForm.zip == '') {
					return that.$msg.error('请输入邮编')
				}




				that.loading = true
				createOrder({
					min_price: that.xdForm.minPrice,
					max_price: that.xdForm.maxPrice,
					address: that.xdForm.address,
					phone: that.xdForm.phone,
					token: that.token.token,
					consignee_name: that.xdForm.consignee_name,
					area: that.xdForm.area,
					zip: that.xdForm.zip,
				}).then(res => {

					//更新token
					that.token.count++
					if (that.token.count == 2) {
						that.token.bl = true
					}
					// 加载tip
					that.orderInfo = res.data
					that.pd(that.pdarr, 0)

				}).catch(err => {
					console.log(err);
					that.loading = false
					that.auto_order = false
					
				})
			},
			getIndex() {
				getIndex().then(res => {
					this.setBaseInfo(res.data)
					let arr = [],
						arr2 = []
					res.data.price_min.forEach(item => {
						let a = {
							value: item * 1,
							label: item
						}
						arr.push(a)
					})
					res.data.price_max.forEach(item => {
						let a = {
							value: item * 1,
							label: item
						}
						arr2.push(a)
					})
					this.minPriceList = arr
					this.maxPriceList = arr2
				})
			},
			showTime,
			sjPhone() {
				if (this.loading) {
					return
				}
				this.xdForm.phone = sj(this.baseInfo.sys_phone)
			},
			sjAddress() {
				if (this.loading) {
					return
				}
				this.xdForm.consignee_name = sj(this.baseInfo.system_address)
			},
			closeXd() {
				this.xiadanDia = false
				this.xdForm.phone = ''
				this.xdForm.address = ''
			},
			onSuccess() {
				console.log('success');
				this.token = this.ybToken
				this.dialogTableVisible = false
			},
			onFail() {
				console.log('fail');
			},
			onRefresh() {
				console.log('refresh');
			},
			getTokenList() {
				getTokenList().then(res => {
					this.tokenList = res.data.map(item => {
						item.count = item.count * 1
						return item
					})
					// 获取第一次选择的token
					this.chooseNext()
					console.log(this.token, 'this.token');
				})
			},
			chooseToken(item) {
				// console.log(item,'ddddd');
				if (this.loading) {
					return this.$msg.error('正在下单中，请等待下单完成')
				}
				if (item.id == this.token.id) {
					return
				}
				if (item.bl) {
					return this.$msg.error('该TOKEN，当天使用次数已满!')
				}

				this.ybToken = item
				getSpace().then(res => {
					console.log(res);
					this.hdcount = res.data.count
					this.jyimg = res.data.url1
					this.unique_code = res.data.unique_code
					this.dialogTableVisible = true
				})
				// this.dialogTableVisible = true
			},
			handleAvatarSuccess(res, file) {
				this.form.image = res.data.fullurl;
			},
			beforeAvatarUpload(file) {
				// const isJPG = file.type === 'image/jpeg/png';
				// const isLt2M = file.size / 1024 / 1024 < 2;

				// if (!isJPG) {
				// 	this.$message.error('上传头像图片只能是 JPG 格式!');
				// }
				// if (!isLt2M) {
				// 	this.$message.error('上传头像图片大小不能超过 2MB!');
				// }
				// return isJPG && isLt2M;
				return true
			},
			handleAvatarError() {

			},
			getList(type) {
				let that = this
				if (type == 'reload') {
					that.queryInfo.page = 1
					that.dataloading = false
				}
				if (that.dataloading) {
					return
				}

				that.dataloading = true
				getRechangeList(that.queryInfo).then(res => {
					that.total = res.data.count
					that.list = res.data.data
					that.dataloading = false
				}).catch(err => {
					that.dataloading = false
				})
			},
			handleSizeChange(newPageSize) {
				this.queryInfo.limit = newPageSize
				this.getList()
			},
			handleCurrentChange(newPageNum) {
				this.queryInfo.page = newPageNum
				this.getList()
			},
		},

	}
</script>

<style lang="scss" scoped>
	.avatar-uploader .el-upload {
		border: 1px dashed #d9d9d9;
		border-radius: 6px;
		cursor: pointer;
		position: relative;
		overflow: hidden;
	}

	.avatar-uploader .el-upload:hover {
		border-color: #409EFF;
	}

	.avatar-uploader-icon {
		font-size: 28px;
		color: #8c939d;
		width: 178px;
		height: 178px;
		line-height: 178px;
		text-align: center;
		border: 1px dashed #d9d9d9;
		border-radius: 10px;
	}

	.left-t {
		// display: flex;
		// justify-content: center;
		font-weight: bold;
		// height: 50px;
		margin-bottom: 20px;
		width: 212px; //定宽 
		overflow: hidden; //超出的文本隐藏
		text-overflow: ellipsis; //溢出用省略号显示
		white-space: nowrap; // 默认不换行；
	}

	.used {
		color: #a6a9ad;
	}

	.checked {
		color: #67c23a !important;
	}

	.wrap {
		overflow: hidden;
		display: flex;
		width: 100%;
		height: 700px;
		min-height: 100%;

		.left-wrap {
			width: 20%;
			background-color: #fff;
			color: rgb(15, 131, 254);

			.left-tit {
				text-align: center;
				padding: 20px;
				font-size: 18px;
				font-weight: bold;
			}
		}

		.center-wrap {
			font-size: 14px;
			width: 33%;
			flex-shrink: 0;
			margin-left: 40px;

			.tit {
				font-size: 16px;
				font-weight: bold;
				border-bottom: 2px solid #eaedf2;
				margin: 10px 0;
				padding: 10px 0;
			}

			div {
				padding: 5px 0;

				/deep/ .el-input__inner {
					height: 30px;
				}
			}

			.jige {
				width: 50px;
			}
			.chang {
				width: 100px;
			}
		}

		.right-wrap {
			flex-grow: 1;
			display: flex;
			flex-direction: column;
			padding-left: 40px;

			// width: 100%;
			// background-color: gray;
			.right-top {
				width: 100%;
				flex-shrink: 0;
				// height: 30%;
				// background-color: red;

			}

			.right-btm {
				// flex-grow: 1;
				height: 288px;
				padding-top: 20px;

				.tip-list {
					flex-direction: column;
					justify-content: flex-start;

					.tip {
						width: 80%;
						// height: 40px;
						border-radius: 10px;
						// background-color: #67c23a;
						// text-align: center;
						margin: 5px 0;
						// line-height: 40px;
						color: #000;
						padding-bottom: 10px;
					}
				}
			}
		}
	}

	.rjjy {
		// width: 600px;
		/deep/ .el-dialog {
			width: 400px;
		}
		.jy-wrap {
			width: 262px;
			height: 175px;
			margin: auto;
			position: relative;
			.jy-img {
				position: relative;
			}
			.jy-hd {
				position: absolute;
				background-color: red;
				border-radius: 50%;
				display: flex;
				justify-content: center;
				align-items: center;
				color: #fff;
				font-size: 14px;
			}
			.suaxin {
				background-color:rgba(0, 0, 0, 0.6);
				display: flex;
				justify-content: center;
				align-items: center;
				width: 30px;
				height: 30px;
				position: absolute;
				right: 10px;
				bottom: 35px;
				border-radius: 50%;
				
				img {
					width:18px;
					height: 18px;
				}
			}
		}
	}

	.mask {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		justify-content: center;

		.mask-loading {
			font-size: 100px;
			color: #409eff;
		}
	}
</style>